<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_blocktheme_widgets($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-03-blocktheme'); // 元の値を保持

	/*** クラシックウィジェットエリア０１ ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['add-classic-widget-01'] ) && $value['add-classic-widget-01'] === '1' ) {
		$value['add-classic-widget-01'] = '1'; // 明示的に '1' を設定
	} else {
		$value['add-classic-widget-01'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** クラシックウィジェットエリア02 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['add-classic-widget-02'] ) && $value['add-classic-widget-02'] === '1' ) {
		$value['add-classic-widget-02'] = '1'; // 明示的に '1' を設定
	} else {
		$value['add-classic-widget-02'] = ''; // チェックされていない場合は空文字を設定
	}

	/*** クラシックウィジェットエリア03 ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['add-classic-widget-03'] ) && $value['add-classic-widget-03'] === '1' ) {
		$value['add-classic-widget-03'] = '1'; // 明示的に '1' を設定
	} else {
		$value['add-classic-widget-03'] = ''; // チェックされていない場合は空文字を設定
	}



	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}